JtdsXAResource (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbcx

## Class JtdsXAResource

- java.lang.Object
- - net.sourceforge.jtds.jdbcx.JtdsXAResource

- All Implemented Interfaces:
    javax.transaction.xa.XAResource

      public class JtdsXAResource
      extends java.lang.Object
      implements javax.transaction.xa.XAResource

  jTDS implementation of the XAResource interface.
  Version:
    $Id: JtdsXAResource.java,v 1.4 2005-04-28 14:29:30 alin_sinpalean Exp $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.sql.Connection` | `connection`
    `private java.lang.String` | `rmHost`
    `private JtdsXAConnection` | `xaConnection`

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JtdsXAResource(JtdsXAConnection xaConnection, java.sql.Connection connection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(javax.transaction.xa.Xid xid, boolean commit)`
    `void` | `end(javax.transaction.xa.Xid xid, int flags)`
    `void` | `forget(javax.transaction.xa.Xid xid)`
    `protected JtdsXAConnection` | `getResourceManager()`
    `protected java.lang.String` | `getRmHost()`
    `int` | `getTransactionTimeout()`
    `boolean` | `isSameRM(javax.transaction.xa.XAResource xares)`
    `int` | `prepare(javax.transaction.xa.Xid xid)`
    `javax.transaction.xa.Xid[]` | `recover(int flags)`
    `void` | `rollback(javax.transaction.xa.Xid xid)`
    `boolean` | `setTransactionTimeout(int arg0)`
    `void` | `start(javax.transaction.xa.Xid xid, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connection

          private final java.sql.Connection connection

    - #### xaConnection

          private final JtdsXAConnection xaConnection

    - #### rmHost

          private final java.lang.String rmHost

  - ### Constructor Detail

    - #### JtdsXAResource

          public JtdsXAResource(JtdsXAConnection xaConnection,
                        java.sql.Connection connection)

  - ### Method Detail

    - #### getResourceManager

          protected JtdsXAConnection getResourceManager()

    - #### getRmHost

          protected java.lang.String getRmHost()

    - #### getTransactionTimeout

          public int getTransactionTimeout()
                                    throws javax.transaction.xa.XAException

      Specified by:
        `getTransactionTimeout` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### setTransactionTimeout

          public boolean setTransactionTimeout(int arg0)
                                        throws javax.transaction.xa.XAException

      Specified by:
        `setTransactionTimeout` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### isSameRM

          public boolean isSameRM(javax.transaction.xa.XAResource xares)
                           throws javax.transaction.xa.XAException

      Specified by:
        `isSameRM` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### recover

          public javax.transaction.xa.Xid[] recover(int flags)
                                             throws javax.transaction.xa.XAException

      Specified by:
        `recover` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### prepare

          public int prepare(javax.transaction.xa.Xid xid)
                      throws javax.transaction.xa.XAException

      Specified by:
        `prepare` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### forget

          public void forget(javax.transaction.xa.Xid xid)
                      throws javax.transaction.xa.XAException

      Specified by:
        `forget` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### rollback

          public void rollback(javax.transaction.xa.Xid xid)
                        throws javax.transaction.xa.XAException

      Specified by:
        `rollback` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### end

          public void end(javax.transaction.xa.Xid xid,
                 int flags)
                   throws javax.transaction.xa.XAException

      Specified by:
        `end` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### start

          public void start(javax.transaction.xa.Xid xid,
                   int flags)
                     throws javax.transaction.xa.XAException

      Specified by:
        `start` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### commit

          public void commit(javax.transaction.xa.Xid xid,
                    boolean commit)
                      throws javax.transaction.xa.XAException

      Specified by:
        `commit` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

Generated on June 8 2013